Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::PageNumberRange Class Reference

Inherits Object.

## Public Member Functions
| PageNumberRange (int32 start_number, int32 end_number, foxit::common::Range::Filter filter)
| Constructor, with parameters. More...
| PageNumberRange ()
| Constructor.
| PageNumberRange (const PageNumberRange &page_range)
| Constructor, with another page number range object. More...
PageNumberRange & | operator= (const PageNumberRange &page_range)
| Assign operator. More...
void | Set (int32 start_number, int32 end_number, foxit::common::Range::Filter filter)
| Set value. More...

## Public Attributes
int32 | end_number
| Page number of the end page in current range, starting from 1.
foxit::common::Range::Filter | filter
| Filter type to decide which page numbers of this range would be used. Please refer to values starting from common::Range::e_All and this should be one of these values.
int32 | start_number
| Page number of the start page in current range, starting from 1.

## Detailed Description

This class represents the page number range (not index range) which is used for class HeaderFooter.

See also
  HeaderFooter

## Constructor & Destructor Documentation

## ◆ PageNumberRange() [1/2]

foxit::pdf::PageNumberRange::PageNumberRange | ( | int32 | start_number,
|  | int32 | end_number,
|  | foxit::common::Range::Filter | filter
| ) |  |
| inline explicit

Constructor, with parameters.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from common::Range::e_All and this should be one of these values.

## ◆ PageNumberRange() [2/2]

foxit::pdf::PageNumberRange::PageNumberRange | ( | const PageNumberRange & | page_range | ) |
| inline

Constructor, with another page number range object.

Parameters

  [in] | page_range | Another page number range object.

## Member Function Documentation

## ◆ operator=()

PageNumberRange& foxit::pdf::PageNumberRange::operator= | ( | const PageNumberRange & | page_range | ) |
| inline

Assign operator.

Parameters

  [in] | page_range | Another page number range object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::PageNumberRange::Set | ( | int32 | start_number,
|  | int32 | end_number,
|  | foxit::common::Range::Filter | filter
| ) |  |
| inline

Set value.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from common::Range::e_All and this should be one of these values.

Returns
  None.